Page MenuHomePhabricator

Should be a cleaner way to enable banners on all namespaces
Closed, ResolvedPublic

Description

https://gerrit.wikimedia.org/r/#/c/243728/ was deployed to enable banners on all namespaces in Russian Wikivoyage. We can do much better than this.

Possible solution:

  1. Use a global to set the array
  2. When wgWPBNamespaces is true, all namespaces are activated

Details

Related Gerrit Patches:
mediawiki/extensions/WikidataPageBanner : masterShow banner on all namespaces if $wgWPBNamespaces is true.

Event Timeline

Jdlrobson raised the priority of this task from to Medium.
Jdlrobson updated the task description. (Show Details)
Jdlrobson added a subscriber: Jdlrobson.
Restricted Application added a project: Wikidata. · View Herald TranscriptOct 5 2015, 11:36 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Lydia_Pintscher moved this task from incoming to monitoring on the Wikidata board.Oct 6 2015, 8:47 AM
Sumit set Security to None.
Sumit added a subscriber: Sumit.

Could be done as part of GCI-2015.

Sumit added a comment.EditedDec 3 2015, 6:42 PM

@Jdlrobson, would it be good to enable banners on all Namespaces? Say for example, on a File Namespace, it wouldn't serve any purpose...Or rather, we exclude the few Namespaces where it hardly makes sense to have a banner?

@Sumit: Please clarify which of the two options the GCI student should choose.

Created as https://codein.withgoogle.com/dashboard/tasks/4853848371888128/

Sumit added a comment.Dec 3 2015, 6:46 PM

@Aklapper, I'll edit it accordingly by 5th Dec.

Sumit updated the task description. (Show Details)Dec 5 2015, 5:57 PM

Change 259262 had a related patch set uploaded (by Scimonster):
Show banner on all namespaces if $wgWPBNamespaces is true.

https://gerrit.wikimedia.org/r/259262

Scimonster added a subscriber: Scimonster.

Would it be worth it to add a blacklist variable also, to enable it on all namespaces except a couple (e.g. File)?

@Scimonster I suspect so.
I would suggest another global $wgWPBDisabledNamespaces which allows you to disable certain namespaces.

Change 259262 merged by jenkins-bot:
Show banner on all namespaces if $wgWPBNamespaces is true.

https://gerrit.wikimedia.org/r/259262

Jdlrobson closed this task as Resolved.Dec 17 2015, 2:01 AM